#!/bin/sh

# This script is public domain
# There is no warranty

if test -f ${HOME}/www/index.html
then
    :
else
    echo "WWW-directory seems bogus. Exiting..." >&2
    exit 1
fi

MYDATE=`date +%Y%m%d`
MYDIR="/tmp"
PACKAGE="installshellrc"
DISTDIR="${PACKAGE}-${MYDATE}"

cd $MYDIR && rm -rf ./${PACKAGE}-*

mkdir $DISTDIR

# AFAIK star is faster and better than GNU tar
# http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/star.html

if star --version 2>&1 | grep -i "Schilling" > /dev/null 2>&1
then
    TAR_BIN='star'
    echo "Cool... You have star, not just GNU tar or plain tar"
elif gtar --help 2>&1 | grep -i "gnu.org" > /dev/null 2>&1
then
    TAR_BIN="gtar"
    echo "Cool... You have GNU tar, not just plain tar"
elif tar --help 2>&1 | grep -i "gnu.org" > /dev/null 2>&1
then
    TAR_BIN="tar"
    echo "Cool... You have GNU tar, not just plain tar"
fi


for F in README allshrc.01.sh allshrc.02.sh dot.bashrc.01.sh dot.profile.01.sh dot.switch_shell.01.sh dot.zshrc.01.sh
do
    cp  ${HOME}/.newshellrc/${F} ${DISTDIR}/${F}
done

cp ${0} ${HOME}/bin/installshellrc ${DISTDIR}/

chmod -R ugo+rX ${DISTDIR}

$TAR_BIN  -c -f - ${DISTDIR} | bzip2 -9vvv >  ${PACKAGE}-${MYDATE}.tar.bz2

chmod ugo+r ${PACKAGE}-${MYDATE}.tar.bz2

/bin/mv -f ${PACKAGE}-${MYDATE}.tar.bz2 ${HOME}/www/hacks/sh/installshellrc/

cd  ${HOME}/www/hacks/sh/installshellrc/

chmod ugo+r,go-wx  ${PACKAGE}-${MYDATE}.tar.*
rm -f ${PACKAGE}-latest.tar.bz2
ln -sf ${PACKAGE}-${MYDATE}.tar.bz2 ${PACKAGE}-latest.tar.bz2 

rm -rf "${MYDIR}/${DISTDIR}"

echo 'All done.'


